﻿<%@ Language="C#" MasterPageFile="~/Site.Master"  AutoEventWireup="true" CodeBehind="MACD.aspx.cs" Inherits="WebApplication1.MACD" %>

<%@ Register assembly="Syncfusion.EJ.Web" namespace="Syncfusion.JavaScript.Web" tagprefix="ej" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="featured">
        <div class="content-wrapper">
            <link href="Content/default.css" rel="stylesheet" />
            <link href="Content/Site.css" rel="stylesheet" />
            <script src="Scripts/jquery-1.10.1.min.js"></script>
            <script src="Scripts/jquery.globalize.min.js"></script>
            <script src="Scripts/ej.web.all.min.js"></script>
           <div id ="datepickerinline" ></div>	
<div id ="datepickerinline1"></div> 
			<input type= "button" id ="button" value= "Select Range">
					<div id="container"></div> 			
           
            
        </div>
    </section>
</asp:Content>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <script>
        $(function () {
            $("#datepickerinline").ejDatePicker({
                select: "onSelected",
                showFooter: false,
                displayInline: true, width: 200
            });
            $("#datepickerinline1").ejDatePicker({
                select: "onSelected1",
                showFooter: false,
                displayInline: true, width: 200
            });

            $("#container").ejChart(
                      {

                          primaryXAxis:
                            {
                                columnIndex: 0,
                                range: { min: new Date(2010, 1, 1), max: new Date(2020, 1, 1) },
                                crosshairLabel: { visible: true },
                                majorGridLines: { visible: false },
                                valueType: 'datetime',
                                title: { text: "Month" },
                                labelRotation: 45,
                                labelFormat: "MMM/dd/yyyy",
                                rangePadding: "additional"
                            },

                          primaryYAxis:
                         {
                             // range: { min: 10, max: 90, interval: 10 },


                         },

                          series: [{
                              name: 'Temperature', type: 'line', enableAnimation: true,

                              border: { width: 1.5 }

                          },

                          ],


                          load: 'onchartload',
                          canResize: true,
                          size: { height: "600" },
                          legend: { visible: false }
                      });

        });
        function onchartload(sender) {
            var data = GetData();
            sender.model.series[0].dataSource = data.Open;
            sender.model.series[0].xName = "XValue",
            sender.model.series[0].yName = "YValue";

        }
        function GetData() {
            var series1 = [];
            var series2 = [];
            var value = 100;
            var value1 = 50;
            for (var i = 1; i < 2000; i++) {

                if (Math.random() > .5) {
                    value += Math.random();
                } else {
                    value -= Math.random();
                }
                var point = { XValue: new Date(2014, 1, i), YValue: value };
                series1.push(point);
            }

            var data = { Open: series1 };
            return data;
        }
        $("#button").click(function () {
            var obj = $("#datepickerinline").ejDatePicker('instance');
            var obj1 = $("#datepickerinline1").ejDatePicker('instance')
            var x = obj.option('value')
            var y = obj1.option('value')
            var min = new Date(x.getFullYear(), x.getDay(), x.getMonth());
            var max = new Date(y.getFullYear(), y.getDay(), y.getMonth());
            $("#container").ejChart("option", { "primaryXAxis": { range: { min: min } } });
            $("#container").ejChart("option", { "primaryXAxis": { range: { max: max } } });
        });
        function onSelecte1d(args) {
            var chart = $("#container").ejChart("instance");
            chart.model.primaryXAxis.range.min = args.value;
            chart.redraw();
            alert(args.value);
        }

    </script>
    
    
</asp:Content>

